PyTorch 官方安装命令合集

PyTorch入门实战教程

众所周知,由于一些特殊的原因,PyTorch 的官网要么访问不了,要么安装那部分点击没有反应。因此我们在这里为大家整理一份安装命令,方便大家查阅。

Linux

使用 conda

以下命令适用于 Python 2.7 – 3.7。

CPU 版本:

CUDA 8:

CUDA 9.0:

CUDA 9.2:

使用 pip

Python 2.7

CPU 版本:

CUDA 8:

CUDA 9.0:

CUDA 9.2:

Python 3.5

CPU 版本:

CUDA 8:

CUDA 9.0:

CUDA 9.2:

Python 3.6

CPU 版本:

CUDA 8:

CUDA 9.0:

CUDA 9.2:

Python 3.7

CPU 版本:

CUDA 8:

CUDA 9.0:

CUDA 9.2:

MacOS

使用 conda

以下命令适用于 Python 2.7 – 3.7。

CPU 版本:

CUDA 8,CUDA 9.0,或 CUDA 9.2:MacOS 不支持 CUDA,如果需要,则需要从源码编译安装。

使用 pip

Python 2.7

CPU 版本:

CUDA 8,CUDA 9.0,或 CUDA 9.2:MacOS 不支持 CUDA,如果需要,则需要从源码编译安装。

Python 3.5,3.6,3.7

CPU 版本:

CUDA 8,CUDA 9.0,或 CUDA 9.2:MacOS 不支持 CUDA,如果需要,则需要从源码编译安装。

Windows

使用 conda

Python 2.7

PyTorch 不支持在 Windows 上的 Python 2.7 版本,请使用 Python 3 版本。

Python 3.5,3.6,3.7

CPU 版本:

CUDA 8:

CUDA 9.0:

CUDA 9.2:

使用 pip

Python 2.7

PyTorch 不支持在 Windows 上的 Python 2.7 版本,请使用 Python 3 版本。

Python 3.5

CPU 版本:

CUDA 8:

CUDA 9.0:

CUDA 9.2:

Python 3.6

CPU 版本:

CUDA 8:

CUDA 9.0:

CUDA 9.2:

Python 3.7

CPU 版本:

CUDA 8:

CUDA 9.0:

CUDA 9.2:

以上命令均为安装 PyTorch 的最新版本,要安装特定的老版本,请参考这个页面

还等什么,快点加入收藏吧!

PyTorch入门实战教程

Leave a Reply

Your email address will not be published. Required fields are marked *

返回顶部